var estProdAgendaCompraEstArvMercLinhaMapper = mapperFactory.createMapper("EstProdAgendaCompraEstArvMercLinha");
var estProdAgendaCompraMapper = mapperFactory.createMapper("EstProdAgendaCompra");
var inserir = message.get("inserir");
var remover = message.get("remover");

try{
	for(var i=0; i<inserir.size(); i++){
		inserir.get(i).put("dtCad", new java.text.SimpleDateFormat('yyyy-MM-dd').format(new Date()));
		estProdAgendaCompraEstArvMercLinhaMapper.insert('incluirEstProdAgendaCompraEstArvMercLinha', inserir.get(i));
	}
	
	if(remover.size()>0){
		estProdAgendaCompraEstArvMercLinhaMapper.insert('excluirEstProdAgendaCompraEstArvMercLinhaEmMassa', message);
	}
	
	
	//ATUALIZA AGENDA DE COMPRA MODIFICADA DURANTE OS VINCULOS
	var agendaDeCompra = {
		'cdEmp': 1,
		'cdCtrAgenda': message.get("cdCtrAgenda"),
		'cdUsuAlt': message.get("cdUsu"),
		'dtUltAlt': new java.text.SimpleDateFormat('yyyy-MM-dd').format(new Date())
	};
	estProdAgendaCompraMapper.update('alterarEstProdAgendaCompra', agendaDeCompra);
	estProdAgendaCompraMapper.commit();
	
	
	estProdAgendaCompraEstArvMercLinhaMapper.commit();
	
	var objectRequest = {
			'cdCtrAgenda': message.get("cdCtrAgenda")
	};
	var retorno = {
			'linhas': estProdAgendaCompraEstArvMercLinhaMapper.selectList('listarEstProdAgendaCompraEstArvMercLinhaComDescricao', objectRequest)
	};
	retorno;
}catch(err) {
    java.lang.System.out.println(err);
    estProdAgendaCompraEstArvMercLinhaMapper.rollback();
    estProdAgendaCompraMapper.rollback();
    
    throw " Ocorreu um erro: " + err;
}